## freebsd-utils 8.2+ds3

=== sbin/dumpon/Makefile ===
# $FreeBSD$

PROG=	dumpon
WARNS?=	6
MAN=	dumpon.8

.include <bsd.prog.mk>
