=== sbin/nfsiod/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/5/93
# $FreeBSD$

PROG=	nfsiod
WARNS?=	6
MAN=	nfsiod.8

.include <bsd.prog.mk>
