=== sbin/savecore/Makefile ===
# $FreeBSD$

PROG=	savecore
WARNS?=	6
DPADD=	${LIBZ}
LDADD=	-lz
MAN=	savecore.8

.include <bsd.prog.mk>
