=== sbin/sysctl/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD$

PROG=	sysctl
WARNS?=	0
MAN=	sysctl.8

.include <bsd.prog.mk>
