=== sbin/geom/class/cache/Makefile ===
# $FreeBSD$

.PATH: ${.CURDIR}/../../misc

CLASS=	cache

.include <bsd.lib.mk>
