=== debian/changelog ===
freebsd-utils (8.2+ds3-2) unstable; urgency=high

  * kbdcontrol.postinst: Only attempt to transition /etc/inittab to
    xterm when this file exists.
  * Add Danish translation by Joe Dalton.  (Closes: #650853)

 -- Robert Millan <rmh@debian.org>  Wed, 07 Dec 2011 12:42:39 +0100

freebsd-utils (8.2+ds3-1) unstable; urgency=low

  * Add powerd package.
  * kldutils.init: Start before "mountall" and "freebsd-utils".
    (Closes: #588538)

 -- Robert Millan <rmh@debian.org>  Sat, 03 Dec 2011 21:28:32 +0100

freebsd-utils (8.2+ds2-12) unstable; urgency=low

  [ Robert Millan ]
  * 044_mount_exec.diff: Fix mount_smbfs execution.
  * Make Description clearer and easier to translate.  (Closes: #649356)

  [ Jonathan Nieder ]
  * pf: Breaks, Replaces freebsd-net-tools versions that provided
    /etc/pf.os, pfctl, and authpf.  (Closes: #649684)
  * pf: Remove Replaces relation against freebsd-utils.

 -- Robert Millan <rmh@debian.org>  Wed, 23 Nov 2011 07:37:43 +0100

freebsd-utils (8.2+ds2-11) unstable; urgency=low

  * Unify all __unused fixes into a single patch.
  * Split PF into its own package.
  * Restore 040_kdump_multiarch.diff to fix FTBFS on kfreebsd-i386.
    Conflict with libc0.1-dev-i386 instead to fix kfreebsd-amd64.

 -- Robert Millan <rmh@debian.org>  Wed, 16 Nov 2011 18:54:22 +0100

freebsd-utils (8.2+ds2-10) unstable; urgency=low

  * Set SGID and group kmem on netstat.  (Closes: #643840)
  * Add kbdcontrol-udeb.  (Closes: #638917)

 -- Robert Millan <rmh@debian.org>  Fri, 11 Nov 2011 22:55:06 +0100

freebsd-utils (8.2+ds2-9) unstable; urgency=low

  * Add freebsd-ppp package.  Thanks Antoine Beaupré.  (Closes: #574789)
  * Split devd and ktrace into their own packages.
  * Remove 040_kdump_multiarch.diff. It appears this patch became
    unnecessary with eglibc 2.13-12 when /usr/include/bits was restored.

 -- Robert Millan <rmh@debian.org>  Wed, 09 Nov 2011 20:56:50 +0100

freebsd-utils (8.2+ds2-8) unstable; urgency=low

  * Remove versioned dependency on sysvinit. It's useless as it turns
    out /etc/inittab is not a conffile. Fix /etc/inittab in postinst
    instead.

 -- Robert Millan <rmh@debian.org>  Fri, 04 Nov 2011 20:04:59 +0100

freebsd-utils (8.2+ds2-7) unstable; urgency=low

  * kbdcontrol:
    - Depend on TERM=xterm version of sysvinit.
    - Break all kernel versions that still expect TERM=cons25.

 -- Robert Millan <rmh@debian.org>  Thu, 03 Nov 2011 00:51:17 +0100

freebsd-utils (8.2+ds2-6) experimental; urgency=low

  * Fix route call without arguments.
  * Recover 032_delete_key.diff patch from SVN r3202.  (Closes: #605777)

 -- Robert Millan <rmh@debian.org>  Sat, 29 Oct 2011 22:19:22 +0200
