=== debian/control ===
Source: freebsd-utils
Section: utils
Priority: important
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org>, Robert Millan <rmh@debian.org>
Build-Depends: debhelper (>= 7), po-debconf, freebsd-buildutils, sharutils,
 flex | flex-old,
 kfreebsd-kernel-headers (>= 0.56),
 libc0.1-dev (>= 2.13-11),
 libbsd-dev (>= 0.3.0), pkg-config,
# zlib1g-dev: savecore
 zlib1g-dev,
# libkvm-dev: dmesg
 libkvm-dev (>= 8.2),
 libmemstat-dev,
 libnetgraph-dev,
# libipx-dev: ifconfig
 libipx-dev,
# libkiconv-dev: mount_*
 libkiconv-dev,
# libdevstat-dev: mdconfig
 libdevstat-dev,
# libgeom-dev : ccdconfig, geom
 libgeom-dev,
# libsbuf-dev: ifconfig, mdconfig, geom
 libsbuf-dev (>= 8.2-2),
# libcam-dev: camcontrol
 libcam-dev (>= 8.2),
# libedit-dev: pppctl
 libedit-dev,
# libexpat1-dev: ifconfig, geom
 libexpat1-dev,
# libtirpc-dev: mount_nfs, mountd, nfsd, rpc.lockd, rpc.statd
 libtirpc-dev,
# libjail-dev: jail
 libjail-dev,
# libssl-dev: geom
 libssl-dev,
# liblockdev1-dev: ppp
 liblockdev1-dev,
Build-Conflicts:
# /usr/include/bits symlink breaks usr.bin/kdump/{mkioctls,mksubr}
 libc0.1-dev-i386,
Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/freebsd-utils/
Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/freebsd-utils/
Standards-Version: 3.9.2

Package: freebsd-utils
Priority: required
Essential: yes
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
Suggests: kbdcontrol, vidcontrol, freebsd-hackedutils (>= 6.1-3)
Conflicts: inetutils-tools (<= 2:1.4.3+20051212-4)
Replaces: freebsd-hackedutils (<= 6.1-3)
Description: FreeBSD utilities needed for GNU/kFreeBSD
 This package provides FreeBSD utilities needed for GNU/kFreeBSD.

Package: freebsd-utils-udeb
Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD utilities needed for GNU/kFreeBSD
 This package provides FreeBSD utilities needed for GNU/kFreeBSD.
 .
 This is a minimal package for use in debian-installer.

Package: kldutils
Priority: important
Architecture: kfreebsd-any
Depends: freebsd-utils, ${shlibs:Depends}, ${misc:Depends}
Conflicts: module-init-tools
Replaces: module-init-tools, freebsd-utils (<= 5.2.1-16),
 freebsd-hackedutils (<= 6.1-1), kfreebsd-common (<< 6.1-6)
Provides: module-init-tools
Description: tools for managing kFreeBSD modules
 This package provides a set of programs for loading, inserting, and
 removing kernel modules for kFreeBSD.

Package: kldutils-udeb
Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tools for managing kFreeBSD modules
 This package provides a set of programs for loading, inserting, and
 removing kernel modules for kFreeBSD.
 .
 This is a minimal package for use in debian-installer.

Package: kbdcontrol
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf
Breaks:
 kfreebsd-image-8.1-1-amd64,
 kfreebsd-image-8.1-1-486,
 kfreebsd-image-8.1-1-686,
 kfreebsd-image-8.1-1-686-smp,
 kfreebsd-image-8.1-1-xen,
 kfreebsd-image-8.2-1-amd64 (<< 8.2-12),
 kfreebsd-image-8.2-1-486 (<< 8.2-12),
 kfreebsd-image-8.2-1-686 (<< 8.2-12),
 kfreebsd-image-8.2-1-686-smp (<< 8.2-12),
 kfreebsd-image-8.2-1-xen (<< 8.2-12),
 kfreebsd-image-9.0-0-amd64 (<< 9.0~svn226626-2),
 kfreebsd-image-9.0-0-486 (<< 9.0~svn226626-2),
 kfreebsd-image-9.0-0-686 (<< 9.0~svn226626-2),
 kfreebsd-image-9.0-0-686-smp (<< 9.0~svn226626-2),
 kfreebsd-image-9.0-0-xen (<< 9.0~svn226626-2),
 kfreebsd-image-10.0-0-amd64 (<< 10.0~svn226872-2),
 kfreebsd-image-10.0-0-486 (<< 10.0~svn226872-2),
 kfreebsd-image-10.0-0-686 (<< 10.0~svn226872-2),
 kfreebsd-image-10.0-0-686-smp (<< 10.0~svn226872-2),
 kfreebsd-image-10.0-0-xen (<< 10.0~svn226872-2),
Description: command-line tool to change keyboard layout on GNU/kFreeBSD
 This package provides the original FreeBSD command to set keyboard layout,
 plus the possible FreeBSD keymaps.

Package: kbdcontrol-udeb
Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command-line tool to change keyboard layout on GNU/kFreeBSD
 This package provides the original FreeBSD command to set keyboard layout,
 plus the possible FreeBSD keymaps.
 .
 This is a minimal package for use in debian-installer.

Package: vidcontrol
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command-line tool to control the system console on GNU/kFreeBSD
 This package provides the original FreeBSD command to control and configure
 the system console, plus the possible fonts and screen maps.

Package: freebsd-net-tools
Section: net
Priority: important
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends},
# just to handle upgrades, maybe remove this after wheezy?
 pf,
Replaces: freebsd-utils (<< 5.4), freebsd-hackedutils (<< 7), net-tools
Provides: net-tools
Description: FreeBSD networking tools
 This package provides the FreeBSD tools needed to manage networking on
 GNU/kFreeBSD.

Package: freebsd-net-tools-udeb
Package-Type: udeb
Section: debian-installer
Priority: important
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD networking tools
 This package provides the FreeBSD tools needed to manage networking on
 GNU/kFreeBSD.
 .
 This is a minimal package for use in debian-installer.

Package: freebsd-nfs-server
Section: net
Priority: optional
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, freebsd-nfs-common
Provides: nfs-server, nfs-kernel-server
Description: FreeBSD server utilities needed for NFS on GNU/kFreeBSD
 This package provides FreeBSD utilities needed for NFS server on
 Debian GNU/kFreeBSD.

Package: freebsd-nfs-common
Section: net
Priority: standard
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, rpcbind
Provides: nfs-common
Description: NFS support files common to client and server
 Use this package on any machine that uses NFS, either as client or
 server.

Package: freebsd-geom
Section: admin
Priority: standard
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: modular disk I/O request transformation framework
 The GEOM framework provides an infrastructure in which ``classes'' can
 perform transformations on disk I/O requests on their path from the upper
 kernel to the device drivers and back.
 .
 This package provides FreeBSD GEOM and associated utilities.

Package: freebsd-ppp
Section: net
Priority: optional
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: freebsd-hackedutils
Replaces: freebsd-net-tools (<< 8.2+ds2-9)
Homepage: http://www.freebsd.org/doc/handbook/userppp.html
Description: FreeBSD Point-to-Point Protocol (PPP) userland daemon
 The Point-to-Point Protocol provides a standard way to transmit
 datagrams over a serial link, as well as a standard way for the
 machines at either end of the link to negotiate various optional
 characteristics of the link.
 .
 This package provides both a server and a client PPP daemon that runs
 in userland.

Package: devd
Section: admin
Priority: important
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: freebsd-utils (<< 8.2+ds2-9)
Description: device state change monitoring daemon
 The devd daemon runs actions specified in a configuration file when certain
 kernel events (such as device addition or removal) happen.

Package: ktrace
Section: utils
Priority: optional
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: freebsd-utils (<< 8.2+ds2-9)
Description: A kernel call tracer
 ktrace is a kernel call tracer, i.e. a debugging tool which prints out
 a trace of all the kernel calls made by a another process/program.
 .
 Kernel calls and signals are events that happen at the user/kernel
 interface. A close examination of this boundary is very useful for bug
 isolation, sanity checking and attempting to capture race conditions.

Package: pf
Section: net
Priority: important
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: freebsd-net-tools (<< 8.2+ds2-11)
Replaces: freebsd-net-tools (<< 8.2+ds2-11)
Homepage: http://www.openbsd.org/faq/pf/
Description: The OpenBSD Packet Filter
 Packet Filter (from here on referred to as PF) is OpenBSD's system for
 filtering TCP/IP traffic and doing Network Address Translation. PF is also
 capable of normalizing and conditioning TCP/IP traffic and providing
 bandwidth control and packet prioritization.
 .
 This version of PF has been ported to FreeBSD by the FreeBSD project, and
 subsequently to GNU/kFreeBSD by the Debian project.

Package: powerd
Priority: optional
Section: admin
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: System utility for power control and energy saving
 The powerd utility monitors the system state and sets various power control
 options accordingly, such as CPU frequency and power management modes.
