=== debian/changelog ===
freebsd-utils (9.0-2) unstable; urgency=low

  * Rename freebsd-geom to geom.
  * Add geli(8) symlink.
  * Add init script for GELI.
  * Remove tmp_glibc.diff, build-depend on libc0.1-dev 2.13-26 instead.
  * Remove workarounds for lack of execvP(), build-depend on
    freebsd-buildutils >= 9.0-7 instead. (Closes: #650978)
  * Build with backward-compatible feature_present().  (Closes: #659659)

 -- Robert Millan <rmh@debian.org>  Thu, 23 Feb 2012 21:01:34 +0100

freebsd-utils (9.0-1) unstable; urgency=low

  * New upstream release.

  [ Robert Millan ]
  * devd.init: Add /usr/sbin:/usr/bin to PATH (needed for
    /usr/bin/logger).
  * Split mkuzip into its own package.

 -- Robert Millan <rmh@debian.org>  Thu, 02 Feb 2012 22:38:29 +0100
