=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: important
 Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org>, Robert Millan <rmh@debian.org>
-Build-Depends: debhelper (>= 7), po-debconf, freebsd-buildutils, sharutils,
+Build-Depends: debhelper (>= 7), po-debconf, sharutils,
  flex | flex-old,
- kfreebsd-kernel-headers (>= 0.56),
- libc0.1-dev (>= 2.13-11),
+ freebsd-buildutils (>= 9.0-8~),
+ kfreebsd-kernel-headers (>= 0.70),
+ libc0.1-dev (>= 2.13-26),
  libbsd-dev (>= 0.3.0), pkg-config,
 # zlib1g-dev: savecore
  zlib1g-dev,
 # libkvm-dev: dmesg
- libkvm-dev (>= 8.2),
+ libkvm-dev (>= 8.3~),
  libmemstat-dev,
  libnetgraph-dev,
 # libipx-dev: ifconfig
@@ -32,7 +33,7 @@
  libexpat1-dev,
 # libtirpc-dev: mount_nfs, mountd, nfsd, rpc.lockd, rpc.statd
  libtirpc-dev,
-# libjail-dev: jail
+# libjail-dev: jail, ifconfig
  libjail-dev,
 # libssl-dev: geom
  libssl-dev,
@@ -182,12 +183,24 @@
  Use this package on any machine that uses NFS, either as client or
  server.
 
+Package: geom
+Section: admin
+Priority: standard
+Architecture: kfreebsd-any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: modular disk I/O request transformation framework
+ The GEOM framework provides an infrastructure in which ``classes'' can
+ perform transformations on disk I/O requests on their path from the upper
+ kernel to the device drivers and back.
+ .
+ This package provides FreeBSD GEOM and associated utilities.
+
 Package: freebsd-geom
 Section: admin
-Priority: standard
-Architecture: kfreebsd-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: modular disk I/O request transformation framework
+Priority: extra
+Architecture: kfreebsd-any
+Depends: ${shlibs:Depends}, ${misc:Depends}, geom
+Description: modular disk I/O request transformation framework (meta-package)
  The GEOM framework provides an infrastructure in which ``classes'' can
  perform transformations on disk I/O requests on their path from the upper
  kernel to the device drivers and back.
@@ -260,3 +273,15 @@
 Description: System utility for power control and energy saving
  The powerd utility monitors the system state and sets various power control
  options accordingly, such as CPU frequency and power management modes.
+
+Package: mkuzip
+Priority: extra
+Section: misc
+Architecture: kfreebsd-any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: freebsd-utils (<< 8.2+ds3-3)
+Description: Disk image compression utility
+ The mkuzip utility compresses a disk image file so that the geom_uzip(4) class
+ will be able to decompress the resulting image at run-time. This allows for a
+ significant reduction of size of disk image at the expense of some CPU time
+ required to decompress the data each time it is read.
