## freebsd-utils 9.0+ds1

=== etc/devd/Makefile ===
# $FreeBSD$

FILES=	asus.conf uath.conf usb.conf

NO_OBJ=
FILESDIR=	/etc/devd
FILESMODE=	644

.include <bsd.prog.mk>
