=== sbin/atacontrol/Makefile ===
#$FreeBSD$

PROG=	atacontrol
MAN=	atacontrol.8

.include <bsd.prog.mk>
