=== sbin/mount_ext2fs/Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 SRCS=	mount_ext2fs.c getmntopts.c
 MAN=	mount_ext2fs.8
 
+WARNS?=	2
 MOUNT=	${.CURDIR}/../mount
 CFLAGS+= -I${MOUNT}
