=== sbin/mount_hpfs/Makefile ===
--- 
+++ 
@@ -7,8 +7,7 @@
 MAN=	mount_hpfs.8
 
 MOUNT=	${.CURDIR}/../mount
-CFLAGS+=-I${MOUNT} -DHPFS
-WARNS?=	0
+CFLAGS+= -I${MOUNT} -DHPFS
 
 .PATH:	${MOUNT}
