=== debian/changelog ===
freebsd-utils (9.0+ds1-6) unstable; urgency=medium

  * Fix FTBFS (missing libutil.h).
  * Remove handling of kbdcontrol.conf, now obsoleted by
    /etc/init.d/keyboard-setup.  (Closes: #677915)

 -- Robert Millan <rmh@debian.org>  Thu, 21 Jun 2012 20:07:29 +0200

freebsd-utils (9.0+ds1-5) unstable; urgency=high

  * Fix FTBFS with latest kfreebsd-kernel-headers.
  * Add missing Depends on kldutils for devd and geom. (Closes: #674582)

 -- Robert Millan <rmh@debian.org>  Fri, 25 May 2012 18:54:45 +0200

freebsd-utils (9.0+ds1-4) unstable; urgency=low

  [ Robert Millan ]
  * Start devd after kldutils to ensure kern.module_path has been set.
  * Reduce kern.module_path to only contain versioned directories.

  [ Steven Chamberlain ]
  * Return exit status 0 from the geli initscript if not configured, but
    display a warning.  (Closes: #670412)
  * Fix duplicates of Section: utils or Priority: important in debian/control
    (lintian tag binary-control-field-duplicates-source)

 -- Robert Millan <rmh@debian.org>  Mon, 07 May 2012 23:56:13 +0200

freebsd-utils (9.0+ds1-3) unstable; urgency=low

  * Restore default CPU frequency after stopping powerd.
  * Replace mount wrap script with source patch (mount_cli_compat.diff).
  * Make powerd fail gacefully when cpufreq(4) support isn't available.
    (Closes: #650963)
  * Set Priority: standard for powerd. (See #668263)
  * Fix a few lintian warnings in init scripts.

 -- Robert Millan <rmh@debian.org>  Sat, 14 Apr 2012 15:01:02 +0200

freebsd-utils (9.0+ds1-2) unstable; urgency=low

  * Set freebsd-geom Priority to "standard" to fix override disparity.
  * Drop route wrapper and replace /sbin/route with upstream version.

 -- Robert Millan <rmh@debian.org>  Sat, 07 Apr 2012 13:20:23 +0200

freebsd-utils (9.0+ds1-1) unstable; urgency=low

  * Add /etc/pf.conf and PF examples.
  * devd.init: Start before networking to prevent NIC driver load race.
  * Add devd-udeb package.

 -- Robert Millan <rmh@debian.org>  Sat, 17 Mar 2012 23:32:41 +0100
