=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper (>= 7), po-debconf, sharutils,
  flex | flex-old,
  freebsd-buildutils (>= 9.0-8~),
+ freebsd-glue (>= 0.0.4~),
  kfreebsd-kernel-headers (>= 0.70),
  libc0.1-dev (>= 2.13-26),
  libbsd-dev (>= 0.3.0), pkg-config,
@@ -69,7 +70,6 @@
  This is a minimal package for use in debian-installer.
 
 Package: kldutils
-Priority: important
 Architecture: kfreebsd-any
 Depends: freebsd-utils, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: module-init-tools
@@ -140,13 +140,13 @@
 
 Package: freebsd-net-tools
 Section: net
-Priority: important
 Architecture: kfreebsd-any
 Depends: ${shlibs:Depends}, ${misc:Depends},
 # just to handle upgrades, maybe remove this after wheezy?
  pf,
 Replaces: freebsd-utils (<< 5.4), freebsd-hackedutils (<< 7), net-tools
 Provides: net-tools
+Breaks: ifupdown (<< 0.7~alpha5+really0.6.16~), isc-dhcp-client (<< 4.2.2-2~)
 Description: FreeBSD networking tools
  This package provides the FreeBSD tools needed to manage networking on
  GNU/kFreeBSD.
@@ -154,9 +154,9 @@
 Package: freebsd-net-tools-udeb
 Package-Type: udeb
 Section: debian-installer
-Priority: important
-Architecture: kfreebsd-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: kfreebsd-any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: isc-dhcp-client-udeb (<< 4.2.2-2~)
 Description: FreeBSD networking tools
  This package provides the FreeBSD tools needed to manage networking on
  GNU/kFreeBSD.
@@ -187,7 +187,9 @@
 Section: admin
 Priority: standard
 Architecture: kfreebsd-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
+# for geom.geli.init
+ kldutils,
 Description: modular disk I/O request transformation framework
  The GEOM framework provides an infrastructure in which ``classes'' can
  perform transformations on disk I/O requests on their path from the upper
@@ -197,7 +199,7 @@
 
 Package: freebsd-geom
 Section: admin
-Priority: extra
+Priority: standard
 Architecture: kfreebsd-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, geom
 Description: modular disk I/O request transformation framework (meta-package)
@@ -226,16 +228,27 @@
 
 Package: devd
 Section: admin
-Priority: important
-Architecture: kfreebsd-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: kfreebsd-any
+Depends: ${shlibs:Depends}, ${misc:Depends},
+# for devd.init
+ kldutils,
 Replaces: freebsd-utils (<< 8.2+ds2-9)
 Description: device state change monitoring daemon
  The devd daemon runs actions specified in a configuration file when certain
  kernel events (such as device addition or removal) happen.
 
+Package: devd-udeb
+Package-Type: udeb
+Section: debian-installer
+Architecture: kfreebsd-any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: device state change monitoring daemon
+ The devd daemon runs actions specified in a configuration file when certain
+ kernel events (such as device addition or removal) happen.
+ .
+ This is a minimal package for use in debian-installer.
+
 Package: ktrace
-Section: utils
 Priority: optional
 Architecture: kfreebsd-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -250,7 +263,6 @@
 
 Package: pf
 Section: net
-Priority: important
 Architecture: kfreebsd-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: freebsd-net-tools (<< 8.2+ds2-11)
@@ -266,7 +278,7 @@
  subsequently to GNU/kFreeBSD by the Debian project.
 
 Package: powerd
-Priority: optional
+Priority: standard
 Section: admin
 Architecture: kfreebsd-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
