=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 CFLAGS = -Wall -g -pipe -fPIC -I. -D_GNU_SOURCE -D__va_list=__builtin_va_list \
-	$(shell pkg-config --cflags libbsd-overlay) -isystem /usr/include/tirpc \
+	-isystem /usr/include/tirpc \
 	-D__FreeBSD_version=__FreeBSD_kernel_version
 CXXFLAGS = $(CFLAGS)
 
@@ -89,7 +89,7 @@
 		 sbin/geom sys/geom/eli sys/crypto/sha2 \
 		 usr.sbin/kbdcontrol usr.sbin/vidcontrol share/syscons \
 		 sbin/savecore sbin/dumpon \
-		etc/pf.os \
+		share/examples/pf etc/pf.os \
 		 usr.sbin/mountd usr.sbin/rpc.statd usr.sbin/rpc.lockd \
 		 usr.sbin/gssd usr.sbin/nfsd usr.sbin/nfscbd \
 		 usr.sbin/nfsdumpstate usr.sbin/nfsuserd usr.sbin/nfsrevoke \
@@ -159,8 +159,6 @@
 kbdcontrol: kbdcontrol-stamp
 kbdcontrol-stamp:
 	$(PMAKE) -C usr.sbin/kbdcontrol
-	sed -i -e "s/^choices=.*/choices=\"`cd share/syscons/keymaps && echo *.kbd | sed -e 's/ /, /g'`\"/g" \
-	debian/kbdcontrol.config
 	touch $@
 
 vidcontrol: vidcontrol-stamp
@@ -268,3 +266,9 @@
 
 	$(PMAKE) -C sbin/kldconfig clean
 	$(PMAKE) -C sbin/kldload clean
+	$(PMAKE) -C sbin/kldstat clean
+	$(PMAKE) -C sbin/kldunload clean
+
+	$(PMAKE) -C sbin/ifconfig clean
+	$(PMAKE) -C sbin/pfctl clean
+	$(PMAKE) -C sbin/route clean
